Address Map Link
================


Introduction
------------

The Address Map Link module adds additional field formatter settings that allow 
 [Address](https://www.drupal.org/project/address) fields to be linked to an
 external map site. Some supported mapping sites have the ability to open the
 their map with the get directions form filled out with the address as the
 destination.

Supported mapping sites:
* Apple Maps 
 (Note: Apple Maps will redirect to Google Maps if user is not using iOS.)
* Bing Maps
* Google Maps
* Google Maps - Directions
* HERE WeGo maps - Directions
* Mapquest
* OpenStreetMaps
* Yandex maps


Requirements
------------
This module requires the following modules:

* [Address](https://www.drupal.org/project/address)


Recommended Modules
-------------------

* [Token](https://www.drupal.org/project/token): When enabled the map link text
 can leverage tokens.


Installation
------------

This module can be installed and enabled like any other Drupal module. However,
 because the [Address module](https://www.drupal.org/project/address) requires
 installation via composer, it is recommended for this module as well.

   ```sh
   composer require drupal/address_map_link:^1.0
   ```


Configuration
-------------

1. Go to the "Manage display" tab of the content type (or entity bundle) and
 click the settings button next to the address field you would like to link.

2. Select the "Link Address to Map" checkbox to link that address field.

3. Further configure this link by adjusting the Map Link type, the position,
 link text, and the option to open the link in a new window.

### Adding Additional Map Providers
 
Additional mapping sites can be defined by adding MapLink plugins. Reference
 one of the MapLink plugins defined in `Drupal\address_map_link\Plugin\MapLink`


Maintainers
-----------

Current maintainers:

* Chris Snyder (chrissnyder) - https://www.drupal.org/u/chrissnyder
